RestrictedService

Full documentation for this service is available at /documentation/restricted-service.

UpdateShopItem |WebMethod|

This API method updates a Shop item. This is an asynchronous call, the method GetRequestResults needs to be called to verify that the shop item was successfully updated. Remember to always set only those properties of ShopItemData that you want to update. All other properties need to be set to "null" (xsi:nil="true"), so that API will not consider to update them. Note that the Quantity field is a delta - pass a negative value to decrease the quantity and a positive value to increase it. Use AbsoluteQuantity if you wish to set the quantity to an absolute value.

Parameters
  1. updateData, Update information (see ShopItemUpdateData) for the Shop item that will be updated.
Returns

QueuedRequestResponse with request id and item id

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/RestrictedService.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/UpdateShopItem"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <UpdateShopItem xmlns="http://api.tradera.com">
      <updateData>updateData</updateData>
    </UpdateShopItem>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <UpdateShopItemResponse xmlns="http://api.tradera.com">
      <UpdateShopItemResult>QueuedRequestResponse with request id and item id</UpdateShopItemResult>
    </UpdateShopItemResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/RestrictedService.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <UpdateShopItem xmlns="http://api.tradera.com">
      <updateData>updateData</updateData>
    </UpdateShopItem>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <UpdateShopItemResponse xmlns="http://api.tradera.com">
      <UpdateShopItemResult>QueuedRequestResponse with request id and item id</UpdateShopItemResult>
    </UpdateShopItemResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/RestrictedService.asmx/UpdateShopItem?appId=string&appKey=string&updateData=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<UpdateShopItemResult xmlns="http://api.tradera.com">QueuedRequestResponse with request id and item id</UpdateShopItemResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/RestrictedService.asmx/UpdateShopItem HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string&updateData=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<UpdateShopItemResult xmlns="http://api.tradera.com">QueuedRequestResponse with request id and item id</UpdateShopItemResult>